*{
    box-sizing: border-box;
}
body,html{
    margin: 0;
    padding: 0;
    direction: rtl;
    color: #626262;
    background: #f6f6f6;
}
.container{
    width: 70%;
    display: flex;
    margin: -3% auto;
    flex-direction: column;
    position: relative;
}

/* header */

header{
    position: sticky;
    top: 0;
    left: 0;
}
header > img{
    width: 100%;
}
header::after{
    content: '\A';
    position: absolute;
    width: 100%; 
    height:98%;
    top:0; left:0;
    background:rgba(0, 0, 0, 0.651);
}

/* form */
form {
    display: flex;
    flex-direction: column;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none; 
    margin: 0; 
}

.moneyType{
    width: 50%;
    border: 1px solid #f2f2f2;
    padding: 10px;
    border-radius: 3px;
}
.moneyTypeinput[type=radio] {
    position: absolute;
    opacity: 0;
}
.moneyTypeinput[type=radio] + .radio-label:before {
    content: "";
    background: #f4f4f4;
    border-radius: 100%;
    border: 1px solid #f2f2f2;
    display: inline-block;
    width: 1.2em;
    height: 1.2em;
    position: relative;
    /* top: -0.2em; */
    margin-left: 1em;
    vertical-align: top;
    cursor: pointer;
    text-align: center;
    transition: all 250ms ease;
}
.moneyTypeinput[type=radio]:checked + .radio-label:before {
    background-color: #3197EE;
    box-shadow: inset 0 0 0 4px #f4f4f4;
}
.moneyTypeinput[type=radio]:focus + .radio-label:before {
    outline: none;
    border-color: #3197EE;
}
.moneyTypeinput[type=radio]:disabled + .radio-label:before {
    box-shadow: inset 0 0 0 4px #f4f4f4;
    border-color: #b4b4b4;
    background: #b4b4b4;
}
.moneyTypeinput[type=radio] + .radio-label:empty:before {
    margin-right: 0;
}

.topData {display: flex;flex-direction: row;justify-content: space-between;margin-bottom: 20px;}


.costType {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-bottom: 20px;
}

.formBox, .moneyViewBox, .chartView {
    background: #fff;
    padding: 20px;
    border-radius: 7px;
    border: 1px solid #e9e9e9;
}

.price_f {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.price_f > input,.time_inputs > input, .description_f > textarea
{border: 1px solid #eef1f3;padding: 10px;border-radius: 3px;}

.price_f > label, .time_f > label, .description_f > label {
    margin-bottom: 10px;
}

.price_f > p {
    margin-top: 5px;
    font-size: 11px;
    font-weight: bold;
    background: -webkit-linear-gradient(to left, #26DD1F 10%, #626262 25%);
    background: -moz-linear-gradient(to left, #26DD1F 10%, #626262 25%);
    background: linear-gradient(to left, #26DD1F 0%, #626262 25%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.moneyType + .moneyType {
    margin-right: 15px;
}

.time_f {
    display: flex;
    flex-direction: column;
}
.time_inputs > input {
    width: 32%;
    text-align: center;
}

.time_inputs {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 20px;
}

.description_f {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}

.formButton {
    background: #2cbe26;
    border: none;
    padding: 20px 25px;
    color: #FFF;
    box-shadow: 1px 1px 5px #B6B6B6;
    border-radius: 3px;
    cursor: pointer;
    font-size: 15px;
    font-weight: bold;
    transition: 0.3s;
}
.formButton:hover {
    background: #26dd1f;
    transition: 0.3s;
}
::placeholder {
    text-align: center;
    font-size: 15px;
    font-weight: bold;
    color: #cac9c9;
}

input:focus, textarea:focus {
    border: 1px solid #cdd1d4;
    outline: none;
}

.input_error{
    border:1px solid #e03f3f !important
}
p.error_p{
    display: none;
    color: #e03f3f;
    font-weight: bold;
}

/* data view */
.moneyDataBox, .formBox {width: 49%;}

.moneyViewBox {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    text-align: center;
    padding: 15px 20px;
    height: 20%;
}

.moneyDataBox {
    display: flex;
    flex-direction: column;
}

.chartView {
    padding: 65px 20px;
    margin-top: 20px;
    height: 80%;
}

.incomeView {
    border-left: 2px solid #f2f2f2;
}

.moneyViewBox > div {
    width: 49%;
}

.incomeView > p, .outcomeView > p {
    font-size: 15px;
    font-weight: bold;
}

.incomeView > p:nth-child(2) {
    color: #2cbe26;
}

.outcomeView > p:nth-child(2) {
    color: #e03f3f;
}


/* table */

table {
    margin: 0;
    border-spacing: 0;
    border-radius: 10px !important;
    margin-bottom: 20px;
    padding: 0;
    width: 100%;
    table-layout: fixed;
    direction: rtl;
  }
  

thead > tr > th:first-of-type {
    border-top-right-radius: 5px;
    border-right: 1px solid #e9e9e9;
    width: 8%;
}

thead > tr > th:last-of-type {
    border-top-left-radius: 5px;
    border-left: 1px solid #e9e9e9;
}

tbody > tr > td:first-of-type {
    border-right: 1px solid #e9e9e9;
}

tbody > tr > td:last-of-type {
    border-left: 1px solid #e9e9e9;
}

tbody > tr {
    border-bottom: 1px solid #e9e9e9;
}

table tr td {
    border-bottom: 1px solid #e9e9e9;
    padding: 20px;
}
table tr:last-of-type td:first-child {

    border-bottom-right-radius: 5px;
}

table tr:last-of-type td:last-child {

    border-bottom-left-radius: 5px;
}


table caption {
    font-size: 1.5em;
    margin: .5em 0 .75em;
}

table tr {
    background-color: #fff;
    border: 1px solid #ddd;
    padding: .35em;
}

table th,
table td {
    padding: .625em;
    text-align: center;
}

table th {
    font-size: .95em;
    font-weight: bold;
    border-top: 1px solid #e9e9e9;
    padding: 20px;
    background-color: #f8f8f8;
}

@media screen and (max-width: 600px) {
    table {
        border: 0;
    }

    table caption {
        font-size: 1.3em;
    }
    
    table thead {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
    }
    
    table tr {
        border-bottom: 3px solid #ddd;
        display: block;
        margin-bottom: .625em;
    }
    
    table td {
        border-bottom: 1px solid #ddd;
        display: block;
        font-size: .8em;
        text-align: right;
    }
    
    table td::before {
        content: attr(data-label);
        float: left;
        font-weight: bold;
        text-transform: uppercase;
    }
    
    table td:last-child {
        border-bottom: 0;
    }
}

td[data-label="توضیحات"] {
    display: flex;
    justify-content: center;
}

td[data-label="توضیحات"] > div:first-child {
    margin-left: 5px;
    background: #3190ff;
    color: white;
    border-radius: 3px;
}

td[data-label="توضیحات"] > div {
    padding: 5px 10px;
    cursor: pointer;
}

td[data-label="توضیحات"] > div:last-child {
    border: 1px solid #d55f5f;
    border-radius: 3px;
    color: #d55f5f;
}

/* modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

.modal-content {
    background-color: #fefefe;
    margin: 10% auto;
    padding: 20px;
    border: 1px solid #949494;
    border-radius: 5px;
    width: 30%;
    display: flex;
    flex-direction: column;
}


.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}
.modalTop {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.modalTop > p {
    font-size: 20px;
    font-weight: bold;
    margin: 0;
}

.modalTop > span > span {
    margin-right: 5px;
}

.modalTop > span {
    font-size: 12px;
}

#modal_des {
    margin: 50px 0;
}

.modal-content > input, .modal-content > .remove_modal_btns > .close_modal {
    background:#3190ff;
    font-size: 20px;
}
.modal-content > input:hover, .modal-content > .remove_modal_btns > .close_modal:hover {
    background: #5ca8ff;
    transition: 0.3s;
}
.remove_modal_btns {
    display: flex;
    justify-content: center;
}

.remove_modal_btns > input:first-child {
    margin-left: 10px;
}

.remove_modal_btns > input {
    width: 50%;
}

input.remove_modal {
    background: none;
    border: 1px solid #d55f5f;
    color: #d55f5f;
    font-size: 20px;
    box-shadow: none;
}
input.remove_modal:hover {
    background: #d55f5f;
    color: white;
    transition: 0.3s;
}
#modal_view_remove > .modal-content {
    text-align: center;
}